org.apache.maven.shared.io.location

## Class URLLocation

- java.lang.Object
- - org.apache.maven.shared.io.location.FileLocation
  - - org.apache.maven.shared.io.location.URLLocation

All Implemented Interfaces:
  Location

    public class URLLocation
    extends FileLocation

The URL Location.

### Constructor Summary

Constructors
Constructor and Description
`URLLocation(URL url, String specification, String tempFilePrefix, String tempFileSuffix, boolean tempFileDeleteOnExit)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `initFile()` initialize file.

### Methods inherited from class org.apache.maven.shared.io.location.FileLocation

`close, getFile, getInputStream, getSpecification, open, read, read, setFile, unsafeGetFile`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### URLLocation

    public URLLocation(URL url,
                       String specification,
                       String tempFilePrefix,
                       String tempFileSuffix,
                       boolean tempFileDeleteOnExit)

Parameters:
  `url` - The URL.
  `specification` - The spec.
  `tempFilePrefix` - the prefix.
  `tempFileSuffix` - The suffix.
  `tempFileDeleteOnExit` - delete on exit.

### Method Detail

#### initFile

    protected void initFile()
                     throws IOException

initialize file.

Overrides:
  `initFile` in class `FileLocation`
Throws:
  `IOException` - in case error.